Program SimpleDataType;

{$APPTYPE CONSOLE}

uses
  System,
  Borland.Delphi.Classes,
  Borland.Delphi.SysUtils;

var
  aObject : TObject;
  iValue : Integer;
  ard : Random;
  aObj : _TClass;
begin
{
  ard := Random.Create;
  aObject := TObject.Create;
  Console.WriteLine(aObject.ToString());
  iValue := Convert.ToInt32(ard.NextDouble() * 100000);
  aObject := TObject(iValue);
  Console.WriteLine(aObject.ToString());
  iValue := Convert.ToInt32(aObject) + 9999;
  Console.WriteLine(iValue.ToString());

  aObject := TObject(2003);
  Console.WriteLine(aObject.ToString());
}
  aObj := _TClass.Create;
  Console.WriteLine(aObj.ToString());
end.
